Name:		highlight
Summary:	Universal source code to formatted text converter
Version:	2.6.14
Release:	1%{?dist}

Group:		Development/Tools
License:	GPLv2

URL:		http://www.andre-simon.de/
Source0:	http://www.andre-simon.de/zip/%{name}-%{version}.tar.gz
Patch1:		highlight-2.6.11-makefile.patch

BuildRequires:	wxGTK-devel

Buildroot:	%{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)

%description
A utility that converts sourcecode to HTML, XHTML, RTF, LaTeX, TeX,
XSL-FO, XML or ANSI escape sequences with syntax highlighting.
It supports several programming and markup languages.
Language descriptions are configurable and support regular expressions.
The utility offers indentation and reformatting capabilities.
It is easily possible to create new language definitions and colour themes.

%prep
%setup -q
%patch1 -p1 -b .mak

# Provides: exclude perl(highlight_pipe) from example
cat <<__EOF__ > %{name}-perl.prov
#!/bin/sh
/usr/lib/rpm/perl.prov \$* | grep -v '^perl(highlight_pipe)$'
__EOF__
%define __perl_provides %{_builddir}/%{name}-%{version}/%{name}-perl.prov
chmod +x %{__perl_provides}

# Requires: exclude perl(IPC::Open3) from example
cat <<__EOF__ > %{name}-perl.req
#!/bin/sh
/usr/lib/rpm/perl.req \$* | grep -v '^perl(IPC::Open3)$'
__EOF__
%define __perl_requires %{_builddir}/%{name}-%{version}/%{name}-perl.req
chmod +x %{__perl_requires}


%build
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# Packaging this example causes lots of incorrect perl provides and 
# requires. Since it isn't going to work out of the box, I'm nuking it.
rm -rf examples/plugins/movabletype

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)

%{_bindir}/highlight
%{_datadir}/highlight/
%{_mandir}/man1/highlight.1*

%config(noreplace) %{_sysconfdir}/highlight/

%doc ChangeLog AUTHORS README* COPYING TODO examples/

%changelog
* Mon Nov  3 2008 Jochen Schmitt <Jochen herr-schmitt de> 2.6.14-1
- New upstream release

* Tue Oct 14 2008 Jochen Schmitt <Jochen herr-schmitt de> 2.6.13-2
- Fix SMP build issue

* Wed Oct  8 2008 Jochen Schmitt <Jochen herr-schmitt de> 2.6.13-1
- New upstream release

* Thu Sep 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.6.12-2
- don't package broken examples, causes bogus perl provides/requires
- don't claim to Provide: perl(highlight_pipe)
- don't claim to Requires: perl(IPC::Open3)

* Mon Aug 18 2008 Jochen Schmitt <Jochen herr-schmitt de> 2.6.12-1
- New upstream release
- Fix for gcc-4.3 issue on highlight-2.6.13

* Thu Jul 17 2008 Jochen Schmitt <Jochen herr-schmitt de> 2.6.11-1
- New upstream release

* Mon May 12 2008 Jochen Schmitt <Jochen herr-schmitt de> 2.6.10-1
- New upstream release

* Mon Mar 31 2008 Jochen Schmitt <Jochen herr-schmitt de> 2.6.9-2
- New upstream release

* Sun Feb 10 2008 Jochen Schmitt <Jochen herr-schmitt de> 2.6.8-1
- New upstream release

* Mon Jan 21 2008 Jochen Schmitt <Jochen herr-schmitt de> 2.6.7-2
- New upstream release
- Fix gcc-4.3 issues

* Tue Dec 11 2007 Jochen Schmitt <Jochen herr-schmitt de> 2.6.6-1
- New upstream release

* Mon Oct 29 2007 Jochen Schmitt <Jochen herr-schmitt de> 2.6.5-1
- New upstream release

* Sun Sep 16 2007 Jochen Schmitt <Jochen herr-schmitt de> 2.6.4-1
- New upstream release

* Tue Sep 11 2007 Jochen Schmitt <Jochen herr-schmitt de> 2.6.3-1
- New upstream release

* Thu Aug  9 2007 Jochen Schmitt <Jochen herr-schmitt de> 2.6.2-1
- New upstream release

* Wed Aug  8 2007 Jochen Schmitt <Jochen herr-schmitt de> 2.6.1-2
- Changing license tag

* Tue Jul 10 2007 Jochen Schmitt <Jochen herr-schmitt de> 2.6.1-1
- New upstream release

* Tue Feb  6 2007 Jochen Schmitt <Jochen herr-schmitt de> 2.4.8-2
- fir rpmopt bug (#227292)

* Mon Oct 23 2006 Jochen Schmitt <Jochen herr-schmitt de> 2.4.8-1
- New upstream release

* Sun Sep  3 2006 Jochen Schmitt <Jochen herr-schmitt de> 2.4.7-2
- Rebuilt for FC-6

* Tue Jul  4 2006 Jochen Schmitt <Jochen herr-schmitt de> 2.4.7-1
- New upstream release

* Wed Mar 22 2006 Jochen Schmitt <Jochen herr-schmitt de> 2.4.5-2
- New upstream relase
- Add gcc41 patch

* Wed Mar 15 2006 Jochen Schmitt <Jochen herr-schmitt de> 2.4.4-2
- Add fixcodegen patch from Eric Hopper #184245

* Sun Mar 12 2006 Jochen Schmitt <Jochen herr-schmitt de> 2.4.4-1
- New upstream release
- Adapt rpmopt patch to new upstream release

* Sun Feb 12 2006 Jochen Schmitt <Jochen herr-schmitt de> 2.4.3-2
- Rebuilt for FC5

* Tue Nov  1 2005 Jochen Schmitt <Jochen herr-schmitt de> 2.4.3-1
- New upstream release

* Tue Oct 11 2005 Jochen Schmitt <Jochen herr-schmitt de> 2.4.2-3
- Fix typo in highlight-2.4-rpmoptflags.patch

* Mon Oct 10 2005 Jochen Schmitt <Jochen herr-schmitt de> 2.4.2-2
- Use -DUSE_FN_MATCH

* Sun Oct  9 2005 Jochen Schmitt <Jochen herr-schmitt de> 2.4.2-1
- New upstream release

* Wed Aug 10 2005 Jochen Schmitt <Jochen herr-schmitt de> 2.4.1-6
- Rebuilt for FC-4/FC-3

* Tue Aug  9 2005 Jochen Schmitt <Jochen herr-schmitt de> 2.4-1-5
- Fix #165302

* Mon Aug  8 2005 Jochen Schmitt <Jochen herr-schmitt de> 2.4.1-4
- Move extension.conf and scriptre.conf to /etc/highlight

* Wed Aug  3 2005 Jochen Schmitt <Jochen herr-schmitt de> 2.4.1-3
- Remove leading 'A' from summary line

* Wed Aug  3 2005 Jochen Schmitt <Jochen herr-schmitt de> 2.4.1-2
- Add rpmoptflags patch from Tom Callaway

* Wed Aug  3 2005 Jochen Schmitt <Jochen herr-schmitt de> 2.4.1-1
- Change versioning schema
- Add suggested changes from Oliver

* Sun Jul 24 2005 Jochen Schmitt <Jochen herr-schmitt de> 2.4-1
- Initial build

